# eoHoistMutation< FType, Node > Class Template Reference
[ParseTree]

eoHoistMutation --> replace the individual with one of its subtree's More...

`#include <gp/eoParseTreeOp.h>`

Inheritance diagram for eoHoistMutation< FType, Node >:

List of all members.

## Public Types

typedef eoParseTree< FType, Node > | EoType

## Public Member Functions

| eoHoistMutation ()
| Constructor.
virtual std::string | className () const
| The class name.
virtual | ~eoHoistMutation ()
| Dtor.
bool | operator() (EoType &_eo1)
| Mutate an individual.

## Detailed Description

### template<class FType, class Node>
class eoHoistMutation< FType, Node >

eoHoistMutation --> replace the individual with one of its subtree's

Definition at line 336 of file eoParseTreeOp.h.

## Constructor & Destructor Documentation

template<class FType, class Node>
eoHoistMutation< FType, Node >::eoHoistMutation | ( |  | ) | `[inline]`

Constructor.

Parameters:

  | none |

Definition at line 345 of file eoParseTreeOp.h.

## Member Function Documentation

template<class FType, class Node>
bool eoHoistMutation< FType, Node >::operator() | ( | EoType & | _eo1 | ) | `[inline]`

Mutate an individual.

Parameters:

  | _eo1 | The individual that is to be changed

Definition at line 358 of file eoParseTreeOp.h.

References eoRng::random().

The documentation for this class was generated from the following file:

- eoParseTreeOp.h